Subject: [IPTEL] A proposal for moving iptel forward

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 21 Feb 2002 21:53:04 -0500

Folks,

Things have been very quiet for the iptel group over the past few
months. I'd like to summarize where we are, we we are going, and propose
a path forward.

Where are we?
-------------

CPL was approved as an RFC, and TRIP issued as RFC 3219. The TRIP MIB
went to IESG, we've gotten some feedback already, and some late comments
have come in from group participants. So, all is generally OK there. The
big stumbling block for us has been the other remaining item on our
charter - delivery of the protocol for "gateway registration". This work
has been caught up in a debate about the general approach. We've had
three distinct proposals:

1. TRIP-GW
http://search.ietf.org/internet-drafts/draft-rs-trip-gw-03.txt

2. SLP
http://www.ietf.org/internet-drafts/draft-zhao-iptel-gwloc-slp-03.txt

3. Radhikas proposals
http://search.ietf.org/internet-drafts/draft-roy-iptel-gw-server-registration-00.txt
http://search.ietf.org/internet-drafts/draft-roy-iptel-gw-server-discovery-00.txt
http://search.ietf.org/internet-drafts/draft-roy-iptel-intra-itad-fw-00.txt
http://search.ietf.org/internet-drafts/draft-roy-iptel-itrp-00.txt
(which I ruled out of scope)

With advocates in each camp (primarily the authors). We made an attempt
to get around this impasse through requirements work, but there was not
sufficient working group effort expended to bear fruit in that
direction. So, the result has been no progress.

Where do we need to go?
------------------------

I believe that, given the general way this group has worked, we will
only have success if we can choose one of them, and then work from
there. I do not think that comparison documents, additional requirements
work, or debate on the merits of each approach will bear fruit. I have
seen such things consume endless time in other working groups. So, we
need to pick one, now.

A proposal
-----------

I've had some private conversations with the various players, and I
think I can present a proposal that is acceptable to everyone. Here is
the proposal:

1. The group will adopt draft-rs-trip-gw as a working group item in
fulfillment of our charter task. The scope is as chartered, focusing on
allowing a server to make call routing decisions based on information
propagated from a PSTN gateway of some variant. SIP to H.323 and other
protocol converters are out of scope.

2. draft-zhao-iptel-gwloc-slp is really solving a different problem,
more along the lines of discovery. In an SLP system within an
enterprise, it is a perfectly reasonable thing to do. Fortunately, SLP
allows for IANA registration of templates, so that this work can
actually proceed to facilitate gateway discovery, outside of our
charter. However, since the attributes in such a template will be
similar to the kinds of things we will be doing in draft-rs-trip-gw, it
makes sense to use the iptel list as a discussion forum, and to allow
meeting time, if needed, to discuss. 

THe model is similar to what we did with the SLP template for SIP
servers; it was never chartered in the SIP group, but it had discussion
on the list and a bit of airtime at meetings, and then the template got
registered and was done.

So, I am going to ask for a consensus call. Please respond to this post
with YEA or NAY, if you agree or disagree with this proposal,
respectively. I'd like to make a decision next week some time.

If this proposal is accepted
-----------------------------

Assuming this proposal is accepted, the above draft can be resubmitted
(after IETF 53) as draft-ietf-iptel-trip-gw-00. Our task will then be to
focus on bringing it to completion. To do that, we would focus on the
open issues, which I suspect are primarily on the attribute set.
Discussion can begin immediately, of course, on the existing draft.

What about IETF 53?
--------------------

I have, in fact, reserved a one hour slot at IETF 53. However, I am not
sure that this time is needed. Assuming we move forward with the
proposal, I do not think that there has been sufficient discussion of
the draft on the list to require any meeting time. If the proposal is
not accepted, we could possibly need the meeting to further discuss it.
So, for the moment, I will hold on to the slot. However, if the proposal
is accepted, and I hear no requests for specific agenda topics at the
meeting, I will cancel the slot. There is no shame in doing this. 

So, if you do feel a pressing need to discuss something at IETF 53,
please let me know.

I'd then like to wrap up the work rapidly, which is still achievable by
the end of March, as specified in our charter.

Comments solicited.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com
_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel

---

From: "Cullen Jennings" <[email-masked]>
Date: Thu, 21 Feb 2002 19:23:36 -0800

YEA

Lets move forward, Cullen

---

From: "Bob Penfield" <[email-masked]>
Date: Fri, 22 Feb 2002 07:56:05 -0500

I vote YEA

(-:bob

---

From: "David R. Oran" <[email-masked]>
Date: Wed, 27 Feb 2002 19:04:06 -0500

YEA.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> Jonathan Rosenberg
> Sent: Thursday, February 21, 2002 9:53 PM
> To: list iptel
> Subject: [IPTEL] A proposal for moving iptel forward
> 
> 
> Folks,
> 
> Things have been very quiet for the iptel group over the past 
> few months. I'd like to summarize where we are, we we are 
> going, and propose a path forward.
> 
> Where are we?
> -------------
> 
> CPL was approved as an RFC, and TRIP issued as RFC 3219. The 
> TRIP MIB went to IESG, we've gotten some feedback already, 
> and some late comments have come in from group participants. 
> So, all is generally OK there. The big stumbling block for us 
> has been the other remaining item on our charter - delivery 
> of the protocol for "gateway registration". This work has 
> been caught up in a debate about the general approach. We've 
> had three distinct proposals:
> 
> 1. TRIP-GW 
> With advocates in each camp (primarily the authors). We made 
> an attempt to get around this impasse through requirements 
> work, but there was not sufficient working group effort 
> expended to bear fruit in that direction. So, the result has 
> been no progress.
> 
> 
> Where do we need to go?
> ------------------------
> 
> I believe that, given the general way this group has worked, 
> we will only have success if we can choose one of them, and 
> then work from there. I do not think that comparison 
> documents, additional requirements work, or debate on the 
> merits of each approach will bear fruit. I have seen such 
> things consume endless time in other working groups. So, we 
> need to pick one, now.
> 
> A proposal
> -----------
> 
> I've had some private conversations with the various players, 
> and I think I can present a proposal that is acceptable to 
> everyone. Here is the proposal:
> 
> 1. The group will adopt draft-rs-trip-gw as a working group 
> item in fulfillment of our charter task. The scope is as 
> chartered, focusing on allowing a server to make call routing 
> decisions based on information propagated from a PSTN gateway 
> of some variant. SIP to H.323 and other protocol converters 
> are out of scope.
> 
> 2. draft-zhao-iptel-gwloc-slp is really solving a different 
> problem, more along the lines of discovery. In an SLP system 
> within an enterprise, it is a perfectly reasonable thing to 
> do. Fortunately, SLP allows for IANA registration of 
> templates, so that this work can actually proceed to 
> facilitate gateway discovery, outside of our charter. 
> However, since the attributes in such a template will be 
> similar to the kinds of things we will be doing in 
> draft-rs-trip-gw, it makes sense to use the iptel list as a 
> discussion forum, and to allow meeting time, if needed, to discuss. 
> 
> THe model is similar to what we did with the SLP template for 
> SIP servers; it was never chartered in the SIP group, but it 
> had discussion on the list and a bit of airtime at meetings, 
> and then the template got registered and was done.
> 
> 
> So, I am going to ask for a consensus call. Please respond to 
> this post with YEA or NAY, if you agree or disagree with this 
> proposal, respectively. I'd like to make a decision next week 
> some time.
> 
> Assuming this proposal is accepted, the above draft can be 
> resubmitted (after IETF 53) as draft-ietf-iptel-trip-gw-00. 
> Our task will then be to focus on bringing it to completion. 
> To do that, we would focus on the open issues, which I 
> suspect are primarily on the attribute set. Discussion can 
> begin immediately, of course, on the existing draft.
> 
> 
> 
> What about IETF 53?
> --------------------
> 
> I have, in fact, reserved a one hour slot at IETF 53. 
> However, I am not sure that this time is needed. Assuming we 
> move forward with the proposal, I do not think that there has 
> been sufficient discussion of the draft on the list to 
> require any meeting time. If the proposal is not accepted, we 
> could possibly need the meeting to further discuss it. So, 
> for the moment, I will hold on to the slot. However, if the 
> proposal is accepted, and I hear no requests for specific 
> agenda topics at the meeting, I will cancel the slot. There 
> is no shame in doing this. 
> 
> So, if you do feel a pressing need to discuss something at 
> IETF 53, please let me know.
> 
> I'd then like to wrap up the work rapidly, which is still 
> achievable by the end of March, as specified in our charter.
> 
> 
> Comments solicited.
> 
> Thanks,
> Jonathan R.
> 
> 
> 
> 
> 
> -- 
> http://lists.bell-> labs.com/mailman/listinfo/iptel
>